<?php

/*
	Setup
*/
define('SRC', __DIR__ . '/../src');
require_once SRC . '/bootstrap.php';

$r = [];

/*
	Home
*/
router_get($r, '/', function () {
	if (user()) must_have_character();
	echo render('layouts/basic', ['view' => 'pages/home', 'activeTab' => nav_tabs['home']]);
});

/*
	Auth
*/
router_get($r, '/auth/register', 'auth_controller_register_get');
router_post($r, '/auth/register', 'auth_controller_register_post');
router_get($r, '/auth/login', 'auth_controller_login_get');
router_post($r, '/auth/login', 'auth_controller_login_post');
router_post($r, '/auth/logout', 'auth_controller_logout_post');

/*
	Characters
*/
router_get($r, '/characters', 'char_controller_select_get');
router_post($r, '/character/create', 'char_controller_create_post');
router_post($r, '/character/select', 'auth_controller_change_character_post');
router_get($r, '/character/create-first', 'char_controller_create_first_get');

/*
	Router
*/
// [code, handler, params]
$l = router_lookup($r, $_SERVER['REQUEST_METHOD'], $_SERVER['REQUEST_URI']);
if ($l['code'] !== 200) router_error($l['code']);
$l['handler'](...$l['params'] ?? []);

/*
	Cleanup
*/
clear_flashes();
