<?php

session_start();

// SRC is defined as the path to the src/ directory from public/

// Source libraries
require_once SRC . '/helpers.php';
require_once SRC . '/env.php';
require_once SRC . '/database.php';
require_once SRC . '/auth.php';
require_once SRC . '/router.php';
require_once SRC . '/components.php';

// Database models
require_once SRC . '/models/user.php';
require_once SRC . '/models/session.php';
require_once SRC . '/models/token.php';
require_once SRC . '/models/char.php';

// Controllers
require_once SRC . '/controllers/char.php';
require_once SRC . '/controllers/auth.php';

/*
	Load env, set error reporting, etc.
*/
env_load(SRC . '/../.env');

if (env('debug') === 'true') {
	ini_set('display_errors', '1');
	ini_set('display_startup_errors', '1');
	error_reporting(E_ALL);
}

// Generate a new CSRF token. (if one doesn't exist, that is)
csrf();

// Have a global counter for queries
$GLOBALS['queries'] = 0;

// Run auth_check to see if we're logged in, since it populates the user data in SESSION
auth_check();
